Subject: Re: [bug#71914] [PATCH 08/10] gnu: Add rust-pyo3-macros-0.21.

From: Efraim Flashner <[email-masked]>
Date: Wed, 3 Jul 2024 12:27:00 +0300

On Wed, Jul 03, 2024 at 06:12:51PM +0900, Nguyễn Gia Phong wrote:
> On 2024-07-03 at 12:00+03:00, Efraim Flashner wrote:
> > On Wed, Jul 03, 2024 at 05:11:43PM +0900, Nguyễn Gia Phong wrote:
> > > On 2024-07-03 at 16:57+09:00, Nguyễn Gia Phong wrote:
> > > I just realized that all pyo3-* 0.20 use the same cargo-inputs
> > > as 0.21.  Should I send v2 for all patches or just 05 to 08?
> >
> > They use the 0.20 version of the inputs, not the 0.21 version of the
> > inputs, so they have different cargo-inputs.
> 
> Sorry, my bad, that only applies for the 3 other pyo3-*
> (I removed their arguments and [email-masked] built w/o any error).
> 
> Either way, what's the general etiquette for sending revisions
> of a subset of the patch series?

I don't think we have a consensus. On one hand re-sending unchanged
patches is "wasteful", on the other hand it makes it easier to work on a
set of patches (or a revision of patches) in one go.

I think I normally end up with a single updated patch if there's a
change to only one patch, but otherwise I normally send out a whole new
set and then in 0000-v2 I mention what changes there are compared to the
previous version.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted